Rated 5 out of 5 stars

Dos not work with FF5 ! after updating dos not response , and FF5 says the comparability ok , i hope you fix this soon ;)

This review is for a previous version of the add-on (3.4).